//
//  BarcodeBatchDataMapper.swift
//  barcode_scanner
//
//  Created by Yevgeniy Knizhnik on 22.01.21.
//

import ScanbotBarcodeScannerSDK
import Flutter

class BarcodeBatchDataMapper: SBSDKUIBarcodesBatchScannerMapping {
    
    private weak var dataChannel: FlutterMethodChannel?
    
    init(dataChannel: FlutterMethodChannel?) {
        self.dataChannel = dataChannel
    }
    
    func loadMappedData(forBarcode barcode: SBSDKBarcodeScannerResult,
                        completion: ((SBSDKUIBarcodeMappedData?) -> Void)? = nil) {
        self.dataChannel?.invokeMethod(MethodChannelConstants.kGetFormattedData,
                                       arguments: barcode.encodedDictionary.encodedString,
                                       result: { response in
            
            DispatchQueue(label: "scanbot.barcode.flutter.sdk.mapping").async {
                guard let arguments = response as? [String: Any],
                      let mappedObject = SBSDKUIBarcodeMappedData(from: arguments) else {
                    let defaultMappedObject = SBSDKUIBarcodeMappedData(name: barcode.rawTextString,
                                                                       description: barcode.type.name)
                    
                    completion?(defaultMappedObject)
                    return
                }
                completion?(mappedObject)
            }
        })
    }
}
