//
//  Scanbot Barcode Scanner SDK Flutter Plugin
//
//  Copyright (c) 2020 doo GmbH. All rights reserved.
//  https://scanbot.io/sdk
//

import Foundation

extension CGRect {
    var encodedDictionary: [String: Any] {
        return ["x": self.origin.x, "y": self.origin.y, "height": self.height, "width": self.width]
    }
    
    init(from dictionary: [String: Any]) {
        self = .zero
        if let x = dictionary["x"] as? CGFloat,
           let y = dictionary["y"] as? CGFloat {
            self.origin.x = x
            self.origin.y = y
        }
        
        if let width = dictionary["width"] as? CGFloat {
            self.size.width = width
        }
        if let height = dictionary["height"] as? CGFloat {
            self.size.height = height
        }
    }
    
    var rectDictionary: [String: Any] {
        return ["left": self.minX,
                "top": self.minY, 
                "right": self.maxX, 
                "bottom": self.maxY]
    }
}
