//
//  SBSDKBarcodeAdditionalParameters.swift
//  barcode_scanner
//
//  Created by Yevgeniy Knizhnik on 13.07.21.
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKBarcodeAdditionalParameters {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        
        if let value = dictionary["enableGS1Decoding"] as? Bool {
            self.enableGS1Decoding = value
        }
        
        if let value = dictionary["minimumTextLength"] as? UInt {
            self.minimumTextLength = value
        }
        
        if let value = dictionary["maximumTextLength"] as? UInt {
            self.maximumTextLength = value
        }
        
        if let value = dictionary["minimum1DBarcodesQuietZone"] as? UInt {
            self.minimum1DBarcodesQuietZone = value
        }
        
        if let value = dictionary["stripCheckDigits"] as? Bool {
            self.stripCheckDigits = value
        }
        
        if let value = dictionary["codeDensity"] as? String {
            self.codeDensity = extractBarcodeDensityFrom(string: value)
        }
        if let msiPlesseyChecksumAlgorithm = dictionary["msiPlesseyChecksumAlgorithm"] as? String {
            self.msiPlesseyChecksumAlgorithm = SBSDKBarcodeMSIPlesseyChecksumAlgorithm(from: msiPlesseyChecksumAlgorithm)
        }
    }
    /**
     extract the barcode density from the json string
     */
    func extractBarcodeDensityFrom(string: String) -> SBSDKBarcodeDensity {
        var codeDensity: SBSDKBarcodeDensity = .low
        if string == "HIGH"{
            codeDensity = .high
        }
        return codeDensity
    }
}
