//
//  SBSDKUIMachineCodeScannerSelectionOveralyConfiguration.swift
//  barcode_scanner
//
//  Created by Seifeddine Bouzid on 16.05.23.
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKUIBarcodeSelectionOverlayConfiguration {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        
        if let overlayEnabled = dictionary["overlayEnabled"] as? Bool {
            self.overlayEnabled = overlayEnabled
        }
        
        if let automaticSelectionEnabled = dictionary["automaticSelectionEnabled"] as? Bool {
            self.automaticSelectionEnabled = automaticSelectionEnabled
        }
        
        if let polygonColor = dictionary["overlayPolygonColor"] as? String {
            self.polygonColor = UIColor(hexString: polygonColor)
        }
        
        if let textColor = dictionary["overlayTextColor"] as? String {
            self.textColor = UIColor(hexString: textColor)
        }
        
        if let textContainerColor = dictionary["overlayTextContainerColor"] as? String {
            self.textContainerColor = UIColor(hexString: textContainerColor)
        }
        
        if let highlightedPolygonColor = dictionary["overlayHighlightedPolygonColor"] as? String {
            self.highlightedPolygonColor = UIColor(hexString: highlightedPolygonColor)
        }
        
        if let highlightedTextColor = dictionary["overlayHighlightedTextColor"] as? String {
            self.highlightedTextColor = UIColor(hexString: highlightedTextColor)
        }
        
        if let highlightedTextContainerColor = dictionary["overlayHighlightedTextContainerColor"] as? String {
            self.highlightedTextContainerColor = UIColor(hexString: highlightedTextContainerColor)
        }
        
        if let overlayTextFormat = dictionary["textFormat"] as? String {
            self.overlayTextFormat = SBSDKBarcodeOverlayFormat(from: overlayTextFormat)
        }
    }
}
