//
//  SBSDKBarcodeEngineMode.swift
//  barcode_scanner
//
//  Created by Yevgeniy Knizhnik on 13.07.21.
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKBarcodeEngineMode {
    static func fromArguments(_ arguments: [String: Any]) -> SBSDKBarcodeEngineMode? {
        if let string = arguments["engineMode"] as? String {
            let mode = SBSDKBarcodeEngineMode.from(string: string)
            return mode
        }
        return nil
    }
    
    static func from(string: String) -> SBSDKBarcodeEngineMode? {
        switch string {
        case "NEXT_GEN": return .nextGen
        case "LEGACY": return .legacy
        default: return nil
        }
    }
}
