//
//  LicenseHandler.swift
//  barcode_scanner
//
//  Created by Seifeddine Bouzid on 15.05.23.
//

import Foundation
import ScanbotBarcodeScannerSDK

class LicenseHandler {
    
    static func sendLicenseErrorToDetector(_ callHandler: FlutterMethodChannel) {
        let isValid = ScanbotSDK.isLicenseValid()
        let status = ScanbotSDK.licenseStatus()
        let expirationDate = ScanbotSDK.licenseExpirationDate()
        
        var dictionary: [String: Any?] = ["isLicenseValid": isValid, "status": status.stringName]
        if let date = expirationDate {
            let formatter = DateFormatter()
            formatter.timeZone = TimeZone(abbreviation: "UTC")
            formatter.dateFormat = "YYYY-MM-dd HH:mm:ss"
            formatter.locale = Locale(identifier: "en_EN")
            let dateString = formatter.string(from: date)
            dictionary["expirationDate"] = dateString
        }
        dictionary["message"] = "license is nor more valid for this feature"
        callHandler.invokeMethod(MethodChannelConstants.kOnLicenseError, arguments: dictionary.encodedString)
    }
}
