import 'dart:convert';
import 'dart:io';
import 'dart:typed_data';
import 'dart:ui';

void addColor(Color? color, String name, Map arguments) {
  if (color != null) arguments[name] = toColorString(color);
}

void addParam(dynamic argument, String name, Map arguments) {
  if (argument != null) arguments[name] = argument;
}

String? toColorString(Color? color) {
  if (Platform.isIOS) {
    return color != null
        ? '#${color.red.toRadixString(16).padLeft(2, '0')}${color.green.toRadixString(16).padLeft(2, '0')}${color.blue.toRadixString(16).padLeft(2, '0')}${color.alpha.toRadixString(16).padLeft(2, '0')}'
        : null;
  }
  return color != null
      ? '#${color.value.toRadixString(16).padLeft(8, '0')}'
      : null;
}

Color colorFromString(String color) {
  var valueString = color.replaceAll('#', '');
  var value = int.parse(valueString, radix: 16);
  return Color(value);
}

Uri stringToFileUri(String string) {
  return Uri.parse(string);
}

String fileUriToString(Uri uri) {
  return uri.toString();
}

Uint8List? uintListFromString(String? string) {
  if (string == null) {
    return null;
  }
  return const Base64Decoder().convert(string);
}

DateTime? dateFromString(String? string) {
  if (string == null) return null;
  return DateTime.parse(string);
}
